Bug 4297 - [UPDATE REQUEST] drakxtools-13.61-23
: [UPDATE REQUEST] drakxtools-13.61-23
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Marathon
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-08-05 16:31 MSD by Konstantin Vlasov
Modified: 2014-10-26 22:23 MSK (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
firstlevel: qa_verified+
denis.silakov: published+


Attachments
01.jpg (78.26 KB, image/jpeg)
2014-08-27 14:14 MSD, FirstLevel
Details
02.jpg (107.14 KB, image/jpeg)
2014-08-27 14:15 MSD, FirstLevel
Details
03.jpg (210.12 KB, image/jpeg)
2014-08-27 14:15 MSD, FirstLevel
Details
04.jpg (161.04 KB, image/jpeg)
2014-08-27 14:15 MSD, FirstLevel
Details
grub-01.png (60.90 KB, image/png)
2014-10-15 12:27 MSD, FirstLevel
Details
grub-02.png (161.47 KB, image/png)
2014-10-15 12:27 MSD, FirstLevel
Details
grub-01-new.png (66.30 KB, image/png)
2014-10-15 13:10 MSD, FirstLevel
Details
grub-02-new.png (183.40 KB, image/png)
2014-10-15 13:11 MSD, FirstLevel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Konstantin Vlasov 2014-08-05 16:31:45 MSD
List of partitions available for bootloader isntallation is now restricted to main filesystems only.
Comment 1 Konstantin Vlasov 2014-08-05 16:33:37 MSD
https://abf.rosalinux.ru/build_lists/2096092
https://abf.rosalinux.ru/build_lists/2096093

Advisory: List of partitions available for bootloader installation is not restricted to only the following filesystems: ext2/3/4, reiserfs3/4, xfs jfs, btrfs.

How to test: Load Live mode; update drakxtools from the container; launch draklive-install and continue installation.
Comment 2 FirstLevel 2014-08-27 14:14:23 MSD
I have tested these updates.
Before I have updates I have seen such FS in disk management 01.jpg
I have met an error when I have tried to  update from container 02.jpg 03.jpg
When I have updated packages I see such FS in disk management 04.jpg
Comment 3 FirstLevel 2014-08-27 14:14:50 MSD
Created attachment 3141 [details]
01.jpg
Comment 4 FirstLevel 2014-08-27 14:15:02 MSD
Created attachment 3142 [details]
02.jpg
Comment 5 FirstLevel 2014-08-27 14:15:13 MSD
Created attachment 3143 [details]
03.jpg
Comment 6 FirstLevel 2014-08-27 14:15:25 MSD
Created attachment 3144 [details]
04.jpg
Comment 7 Konstantin Vlasov 2014-08-28 22:55:56 MSD
I cannot tell why there's a problem with signatures, maybe a rebuild will fix this.
Concerning the fix testing, you're looking at the wrong dialog. Go until bootloader installation and look at the list of partitions: now it should be restricted to those with the file systems specified (plus the whole hard disks, of course); for instance, RAID partitions should no longer be listed there. (There's a typo in my advisory: it should be "now"instead of "not".)
Comment 8 FirstLevel 2014-08-30 21:20:39 MSD
Every time I have updated packages from this container I started installation, but installation is hanging on the copying files and system shown only black screen and mouse cursor.
I have tested in virtualbox.
Installation from live-mode without updating from container - works well.
Comment 9 FirstLevel 2014-08-31 14:58:20 MSD
(In reply to comment #8)
> Every time I have updated packages from this container I started
> installation, but installation is hanging on the copying files and system
> shown only black screen and mouse cursor.
> I have tested in virtualbox.
> Installation from live-mode without updating from container - works well.
It is for i586.
Btw problem with signing is appeared only for i586. There is no problem with signing for x64.
Comment 10 FirstLevel 2014-08-31 14:59:23 MSD
(In reply to comment #8)
> Every time I have updated packages from this container I started
> installation, but installation is hanging on the copying files and system
> shown only black screen and mouse cursor.
> I have tested in virtualbox.
> Installation from live-mode without updating from container - works well.
Oops. I have hurried up. Signing error is appeared in x64.
Comment 11 FirstLevel 2014-08-31 15:22:28 MSD
When I have updated packages from container installation of ROSA LTS is hanging for the 64bit version of LTS
Comment 12 FirstLevel 2014-10-13 15:12:39 MSD
I have 404 when trying to access to https://abf.rosalinux.ru/build_lists/2096092
https://abf.rosalinux.ru/build_lists/2096093
Comment 13 Konstantin Vlasov 2014-10-13 15:53:09 MSD
Rebuilt the packages again:

https://abf.rosalinux.ru/build_lists/2299222
https://abf.rosalinux.ru/build_lists/2299223

Advisory: List of partitions available for bootloader installation is now restricted to only the following filesystems: ext2/3/4, reiserfs3/4, xfs jfs, btrfs.
Comment 14 FirstLevel 2014-10-13 21:49:17 MSD
(In reply to comment #13)
> Rebuilt the packages again:
> 
> https://abf.rosalinux.ru/build_lists/2299222
> https://abf.rosalinux.ru/build_lists/2299223
> 
> Advisory: List of partitions available for bootloader installation is now
> restricted to only the following filesystems: ext2/3/4, reiserfs3/4, xfs
> jfs, btrfs.

I have tested i586 and situation is repeated. Signing error while I have installed packages. And installation is hanging between copying packages and bootloader stages.
Comment 15 Konstantin Vlasov 2014-10-14 16:49:17 MSD
It seems, installation of those packages triggers our old problem with hanging of Live system. OK, then, try the following steps (instruction is given for x86_64; i586 will be similar):

1. Boot into Install mode.
2. When language selection dialog appears, press Ctrl+Alt+F2, login as root.

The following two steps are optional, they will help to install GPG signatures and get rid of the invalid signature warnings:

3. urpmi.addmedia --distrib http://abf-downloads.rosalinux.ru/rosa2012lts/repository/x86_64/
4. urpmi.removemedia -a

Now install the tested packages:
5. urpmi.addmedia test http://abf-downloads.rosalinux.ru/rosa2012lts/container/2299223/x86_64/main/release/
6. urpmi --auto-update
7. exit
8. Press Ctrl+Alt+F7 to return to graphical installer.
9. Continue installation as usual until bootloader configuration appears; check that only true filesystem partitions are listed in the "Boot device" combobox.
Comment 16 FirstLevel 2014-10-15 12:26:43 MSD
I have tested by this method. 

1. I have created many partitions grub-02.png
2. On the GRUB stage of installation I see grub-01.png

Finally. I could not see not fat, ntfs, raid and lvm. But I could not see one of the linux partition - /dev/sda11.
Comment 17 FirstLevel 2014-10-15 12:27:04 MSD
Created attachment 3330 [details]
grub-01.png
Comment 18 FirstLevel 2014-10-15 12:27:20 MSD
Created attachment 3331 [details]
grub-02.png
Comment 19 FirstLevel 2014-10-15 13:10:17 MSD
Corrections for my previous comment.
I have created almost all type of partitions.  grub-02-new.png
And see these partitions grub-01-new.png
/dev/sda1 - ext4
/dev/sda5 - reiserfs
/dev/sda7- XFS
/dev/sda8 - JFS
/dev/sda14 - ext3

I can't see fat32, ntfs, ntfs-3g, raid, lvm partitions - it is good
I cant see btrfs - it is bad
Comment 20 FirstLevel 2014-10-15 13:10:37 MSD
Created attachment 3332 [details]
grub-01-new.png
Comment 21 FirstLevel 2014-10-15 13:11:01 MSD
Created attachment 3333 [details]
grub-02-new.png
Comment 22 Konstantin Vlasov 2014-10-24 16:21:36 MSD
You didn't name which of your partitions was btrfs, but it doesn't matter, I reproduced the problem and fixed it.

https://abf.rosalinux.ru/build_lists/2320592
https://abf.rosalinux.ru/build_lists/2320593

Advisory:
1. List of partitions available for bootloader installation is not restricted to only the following filesystems: ext2/3/4, reiserfs3/4, xfs jfs, btrfs.
2. Trying to format btrfs partition was silently ignored.
Comment 23 FirstLevel 2014-10-26 18:03:11 MSK
(In reply to comment #22)
> You didn't name which of your partitions was btrfs, but it doesn't matter, I
> reproduced the problem and fixed it.
> 
> https://abf.rosalinux.ru/build_lists/2320592
> https://abf.rosalinux.ru/build_lists/2320593
> 
> Advisory:
> 1. List of partitions available for bootloader installation is not
> restricted to only the following filesystems: ext2/3/4, reiserfs3/4, xfs
> jfs, btrfs.
> 2. Trying to format btrfs partition was silently ignored.

I have tested last packages and did not see in the gruub installation page only fat32, ntfs, ntfs-3g, lvm, raid.
Comment 24 FirstLevel 2014-10-26 18:03:12 MSK
(In reply to comment #22)
> You didn't name which of your partitions was btrfs, but it doesn't matter, I
> reproduced the problem and fixed it.
> 
> https://abf.rosalinux.ru/build_lists/2320592
> https://abf.rosalinux.ru/build_lists/2320593
> 
> Advisory:
> 1. List of partitions available for bootloader installation is not
> restricted to only the following filesystems: ext2/3/4, reiserfs3/4, xfs
> jfs, btrfs.
> 2. Trying to format btrfs partition was silently ignored.

I have tested last packages and did not see in the gruub installation page only fat32, ntfs, ntfs-3g, lvm, raid.
Comment 25 FirstLevel 2014-10-26 18:04:48 MSK
drakxtools-13.61-23
http://abf-downloads.rosalinux.ru/rosa2012lts/container/2320592/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2012lts/container/2320593/x86_64/main/release/
************************ Advisory **********************
Advisory: List of partitions available for bootloader installation is now restricted to only the following filesystems: ext2/3/4, reiserfs3/4, xfs jfs, btrfs.
********************************************************
QA Verified